Inventory SPI

POST Check inventory availability for zip code.

POST /merchant/spi/sample/endpoint/product/zipcode/getAvailabilityInformation

Operation ID: checkInventoryAvailability. Tags: Inventory SPI.

Check the external system for the availability of a given product against the provided zip code. The response is a single string, the availability text, and any other information related to the product. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:

  1. Under API Config:
  2. Under JSON Config:
    • Integration Type: HTTP_POST
    • JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"}.

Request body

Media type: application/json. Schema: InventoryAvailabilityRequest.

Responses

  • default Default response.

    Media type: application/json. Schema: SpiInventoryAvailabilityResponse.